package main

import (
	"flag"
	"fmt"

	"github.com/labstack/echo/v4"
)

func main() {
	e := echo.New()

	flag.Usage = Usage

	var host, port string

	flag.StringVar(&host, "host", "[::]", "Listen host")
	flag.StringVar(&port, "port", "8080", "Listen port")
	flag.Parse()

	e.GET("/", DipAsIndex)
	e.GET("/json", DipAsJSON)

	e.Logger.Fatal(e.Start(fmt.Sprintf("%s:%s", host, port)))
}
